Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.servlets.jsp.taglib
Class SelectTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.content.servlets.jsp.taglib.BaseTag
                  |
                  +--com.bea.p13n.content.servlets.jsp.taglib.SelectTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class SelectTag
extends BaseTag

JSP Tag implementation for searching for content.

See Also:
  Serialized Form

Field Summary
`protected String` | `contentHome` Deprecated. The JNDI content manager home name.
`protected Map` | `contextParams` Deprecated. Context params.
`protected Expression` | `expr` Deprecated. The query.
`protected long` | `max` Deprecated. The maximum number of content to return.
`protected Expression` | `oldExpr` Deprecated. will be removed when old expressions are removed.
`protected String` | `queryStr` Deprecated. The query string.
`protected String` | `sortBy` Deprecated. The sort by clause.

Fields inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, readOnly, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SelectTag()` Deprecated.

Method Summary
`int` | `doStartTag()` Deprecated. Run the tag.
`String` | `getContentHome()` Deprecated. Get the value of `contentHome`.
`Map` | `getContextParams()` Deprecated. Get the context params.
`String` | `getMax()` Deprecated. Get the value of `max` as a String.
`String` | `getQuery()` Deprecated. Get the value of `queryStr`.
`String` | `getSortBy()` Deprecated. Get the value of `sortBy`.
`void` | `release()` Deprecated. Release this tag.
`void` | `setContentHome(String v)` Deprecated. Set the value of `contentHome`.
`void` | `setContextParams(Map m)` Deprecated. Set the context params.
`void` | `setContextParams(String str)` Deprecated. Set the context params from semi-colon separate list of name=value pairs.
`void` | `setExpression(Expression expr)` Deprecated. Set the `expression object` to use.
`void` | `setExpression(Expression expr)` Deprecated. will be removed when old expressions are removed.
`void` | `setMax(long l)` Deprecated. Set the value of `max`.
`void` | `setMax(String v)` Deprecated. Set the value of `max`.
`void` | `setQuery(String v)` Deprecated. Set the value of `queryStr`.
`void` | `setSortBy(String v)` Deprecated. Set the value of `sortBy`.

Methods inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getReadOnly, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setReadOnly, setReadOnly, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentHome

    protected String contentHome

  Deprecated.
  The JNDI content manager home name.

### max

    protected long max

  Deprecated.
  The maximum number of content to return.

### sortBy

    protected String sortBy

  Deprecated.
  The sort by clause.

### queryStr

    protected String queryStr

  Deprecated.
  The query string.

### expr

    protected Expression expr

  Deprecated.
  The query.

  If this is non-null, this will be used. Otherwise, the `old expression query` will be used.

### oldExpr

    protected Expression oldExpr

  Deprecated. will be removed when old expressions are removed.

  The old expression query.

  If `expr` is null and this is non-null, this will be used. Otherwise, the `query string` will be used.

### contextParams

    protected Map contextParams

  Deprecated.
  Context params.

Constructor Detail

### SelectTag

    public SelectTag()

  Deprecated.

Method Detail

### release

    public void release()

  Deprecated.
  Release this tag.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BaseTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Deprecated.
  Run the tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
    `JspException`

### getContentHome

    public String getContentHome()

  Deprecated.
  Get the value of `contentHome`.

### setContentHome

    public void setContentHome(String v)

  Deprecated.
  Set the value of `contentHome`.

### getMax

    public String getMax()

  Deprecated.
  Get the value of `max` as a String.

### setMax

    public void setMax(String v)

  Deprecated.
  Set the value of `max`.

### setMax

    public void setMax(long l)

  Deprecated.
  Set the value of `max`.

### getSortBy

    public String getSortBy()

  Deprecated.
  Get the value of `sortBy`.

### setSortBy

    public void setSortBy(String v)

  Deprecated.
  Set the value of `sortBy`.

### getQuery

    public String getQuery()

  Deprecated.
  Get the value of `queryStr`.

### setQuery

    public void setQuery(String v)

  Deprecated.
  Set the value of `queryStr`.

### setExpression

    public void setExpression(Expression expr)

  Deprecated.
  Set the `expression object` to use.

### setExpression

    public void setExpression(Expression expr)

  Deprecated. will be removed when old expressions are removed.

  Set the `old expression object` to use.

### getContextParams

    public Map getContextParams()

  Deprecated.
  Get the context params.

### setContextParams

    public void setContextParams(String str)

  Deprecated.
  Set the context params from semi-colon separate list of name=value pairs.

### setContextParams

    public void setContextParams(Map m)

  Deprecated.
  Set the context params.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved